<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::table('agent_shops', function (Blueprint $table) {
            $table->boolean("lotto_code")->default(0)->comment("是否生成抽奖码,0：不生成，1：生成")->after("ratio");
            $table->boolean("is_show")->default(0)->comment("是否上架，0：下架，1：商家")->after("ratio");
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::table('agent_shops', function (Blueprint $table) {
            $table->dropColumn(['lotto_code',"is_show"]);
        });
    }
};
